This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182474 - RFE: Yum search cannot be exitted
RFE: Yum search cannot be exitted
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 14:47 EST by Clair Shaw
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 14:51:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clair Shaw 2006-02-22 14:47:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
If you do a yum update, the information just scrolls up the term so can't be read unless you pipe it through less (which is a bug in itself). However, it cannot be exited by hitting ctrl-c or ctrl-d. This is a pain if you have entered a common search term, it can take a while for all the packages to be searched.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:
Comment 1 Seth Vidal 2006-02-22 14:51:59 EST
it's partly fixed in yum cvs.

however, once the rpmdb is open and we're searching it there is no way to catch
ctrl-c at the python level.


Note You need to log in before you can comment on or make changes to this bug.